using System.Windows.Controls;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            DataContext = new MyDataContext();
        }

        private void Button1_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            ((MyDataContext)DataContext).Clear();
        }

        private void Button2_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            ((MyDataContext)DataContext).Reset();
        }
    }
}
